#
# spec file for package poppler (Version 0.5.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc41 libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libpng libpng-devel libstdc++41 libstdc++41-devel libtiff libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           poppler
BuildRequires:  gtk2-devel libdrm-devel libjpeg-devel qt3-devel update-desktop-files
Version:        0.5.4
Release:        33.7
Url:            http://poppler.freedesktop.org/
Group:          System/Libraries
License:        GPL v2 or later
Summary:        PDF Rendering Library
Source:         %{name}-%{version}.tar.bz2
Patch0:         poppler-PageTree-depth-CVE-2007-0104.patch
Patch1:         xpdf-CVE-2007-3387.diff
# These are for https://bugzilla.novell.com/show_bug.cgi?id=335637
Patch2:         xpdf2-CVE-2007-4352.diff
Patch3:         xpdf2-CVE-2007-5392.diff
Patch4:         xpdf2-CVE-2007-5393.diff
# These are for bnc#377842 and bnc#377838
Patch5:         poppler-invalid-embedded-fonts.patch
Patch6:         poppler-typechecking.patch
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases.  In turn, all
distributions must package and release new versions of these xpdf based
viewers.  It is safe to say that there is a lot of duplicated effort
with the current situation.  Even if poppler in the short term
introduces yet another xpdf-derived code base to the world, it is hoped
that over time these applications will adopt poppler.  After all, only
one application needs to use poppler to break even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%debug_package
%package devel
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF rendering library
Requires:       %{name} = %{version} glib2-devel gtk2-devel cairo-devel qt3-devel libjpeg-devel libstdc++-devel

%description devel
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package tools
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF Rendering Library
Requires:       %{name} = %{version}
#Provides:       xpdf-tools
Conflicts:      xpdf-tools

%description tools
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases.  In turn, all
distributions must package and release new versions of these xpdf based
viewers.  It is safe to say that there is a lot of duplicated effort
with the current situation.  Even if poppler in the short term
introduces yet another xpdf-derived code base to the world, it is hoped
that over time these applications will adopt poppler.  After all, we
only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that do not fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs on a wide range of X-based platforms.  This
is a strong feature and reasonable design goal.  However, poppler
intends to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system in a standardized and well understood way.  Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package glib
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF rendering library - a glib wrapper
Requires:       %{name} = %{version}

%description glib
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package qt
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF rendering library - a qt wrapper
Requires:       %{name} = %{version}

%description qt
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%prep
%setup
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0

%build
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector -fno-strict-aliasing"
%endif
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
# Work-around linking problems:
export LDFLAGS="-fPIC"
# Work-around biarch problems:
unset QTDIR
export QTINC=/usr/%{_lib}/qt3/include
export QTLIB=/usr/%{_lib}/qt3/%{_lib}
./configure\
	--prefix=/usr \
	--libdir=/usr/%{_lib} \
        --mandir=%{_mandir} \
	--enable-xpdf-headers \
	--sysconfdir=/etc
make %{?jobs:-j %jobs}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share
mv $RPM_BUILD_ROOT/%{_datadir}/gtk-doc $RPM_BUILD_ROOT/opt/gnome/share/

%post
%run_ldconfig

%post glib
%run_ldconfig

%post qt
%run_ldconfig

%postun
%run_ldconfig

%postun glib
%run_ldconfig

%postun qt
%run_ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README-XPDF TODO
/usr/%{_lib}/libpoppler.so.*
/opt/gnome/share/gtk-doc/html/poppler

%files tools
%defattr (-, root, root)
/usr/bin/*
%{_mandir}/man1/*.1.gz

%files glib
%defattr (-, root, root)
/usr/%{_lib}/libpoppler-glib.so.*

%files qt
%defattr (-, root, root)
/usr/%{_lib}/libpoppler-qt.so.*

%files devel
%defattr (-, root, root)
/usr/%{_lib}/*.*a
/usr/%{_lib}/*.so
/usr/%{_lib}/pkgconfig/*.pc
/usr/include/poppler

%changelog
* Tue Apr 15 2008 - maw@suse.de
- Add poppler-invalid-embedded-fonts.patch and
  poppler-typechecking.patch (bnc#377842, bnc#377838, and
  CVE-2008-1693).
* Mon Nov 05 2007 - maw@suse.de
- Add xpdf2-CVE-2007-4352.diff, xpdf2-CVE-2007-5392.diff,
  and xpdf2-CVE-2007-5393.diff (#335637, CVE-2007-4352,
  CVE-2007-5392, and CVE-2007-5393).
* Tue Jul 31 2007 - lnussel@suse.de
- fix xpdf buffer overflow (#291690, CVE-2007-3387)
* Fri Jan 19 2007 - maw@suse.de
- Add poppler-PageTree-depth-CVE-2007-0104.patch, fixing an
  infinite loop in page tree (#233133 and CVE-2007-0104).
* Fri Oct 27 2006 - jhargadon@suse.de
- added --sysconfdir=/etc option to ./configure in the specfile
  as another part of the fix for bug #201739
* Wed Oct 04 2006 - jhargadon@suse.de
- moved man pages to the poppler-tools subpackage [#201739]
* Wed Sep 27 2006 - jhargadon@suse.de
- update to version 0.5.4
- Automatically read in CJK encoding files if they're installed
- Speed ups
- Patch from Dom Lachowicz to let the utils take input on stdin
- many bug fixes
* Mon Sep 04 2006 - sbrabec@suse.cz
- Define conflict poppler-tools x xpdf-tools (#201739#c4).
* Thu Aug 31 2006 - sbrabec@suse.cz
- Created poppler-tools providing xpdf-tools (#201739).
- Enabled parallel build.
* Fri Jul 07 2006 - aj@suse.de
- Add back missing headers.
* Thu Jul 06 2006 - gekker@suse.de
- Update to version 0.5.3
- Remove upstreamed patches
* Tue Jun 13 2006 - gekker@suse.de
- Fix evince crasher when selecting text (#152780)
* Thu Mar 23 2006 - sbrabec@suse.cz
- Display CJK with cairo correctly (Mandriva patch, #160230).
- Fixed devel dependencies.
* Tue Feb 07 2006 - sbrabec@suse.cz
- Fixed SplashXPathScanner heap overflow (#141242, CVE-2006-0301).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - nadvornik@suse.cz
- updated to 0.4.4
- security patches merged upstream
* Mon Jan 16 2006 - meissner@suse.de
- added -fno-strict-aliasing.
* Mon Jan 16 2006 - meissner@suse.de
- use -fstack-protector.
* Wed Jan 11 2006 - sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Thu Dec 15 2005 - sbrabec@suse.cz
- Fixed more xpdf overflows and signed integer multiplications
  (Chris Evans, Martin Pitt, #137156).
* Wed Dec 07 2005 - sbrabec@suse.cz
- Xpdf heap owerflow fixes (#137156, CAN-2005-3191, CAN-2005-3192,
  CAN-2005-3193).
* Mon Oct 24 2005 - stbinner@suse.de
- remove remaining extra qualifications
* Tue Oct 18 2005 - dmueller@suse.de
- fix extra qualifications in installed headers
* Fri Sep 02 2005 - gekker@suse.de
- Update to version 0.4.2
- Fixes to work with new cairo version
- Required by evince update for GNOME 2.12
* Thu Aug 18 2005 - gekker@suse.de
- Update to version 0.4.0
- Remove uptreamed patchs
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 0.3.3
* Mon Jun 27 2005 - meissner@suse.de
- supply format attributes.
* Wed Jun 01 2005 - sbrabec@suse.cz
-  Fixed pkgconfig file.
* Tue May 24 2005 - sbrabec@suse.cz
- Updated to version 0.3.2.
* Mon May 23 2005 - sbrabec@suse.cz
- Split poppler-glib to subpackage.
* Sun May 22 2005 - aj@suse.de
- Fix build with GCC4.
* Mon May 09 2005 - sbrabec@suse.cz
- New SuSE package, version 0.3.1.
